"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleStackStage = void 0;
const extended_stage_1 = require("./extended-stage");
/**
 * A Stage that contains a single Stack reducing the need to create
 * Stage classes for each Stack.
 */
class SingleStackStage extends extended_stage_1.ExtendedStage {
    constructor(scope, id, props) {
        super(scope, id, props);
        this.stack = new props.cls(this, props.id, {
            ...props.props,
        });
    }
}
exports.SingleStackStage = SingleStackStage;
//# sourceMappingURL=single-stack-stage.js.map